Bug 69978 - When closing the gui config editor, errors during save are displayed twice.
When closing the gui config editor, errors during save are displayed twice.
Status: NEW
Product: serverplugins
Classification: Unclassified
Component: Sun Appserver 8
5.x
All All
: P4 (vote)
: 6.x
Assigned To: Nitya Doraisamy
issues@serverplugins
:
Depends on: 69678
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-06 23:34 UTC by _ pcw
Modified: 2009-09-22 03:53 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ pcw 2005-12-06 23:34:07 UTC
Create a web/ejb/ear module with server = sun appserver.
Set the readonly attribute of the sun specific configuration file (e.g.
sun-web.xml).
Open the gui config editor on this file, make a change and save the file.

There should be an Access Denied error when trying to write the file.
It will be displayed twice, once by us, and once by the caller of our
SaveCookie's save() method, since we must throw IOException to that caller to
notify them of the failure.  We display the error nicely because certain callers
do not (see issue 69678).

There will be duplicate dialogs shown for the follow methods of forcing a save.
1) Save All action (menu or toolbar button - key shortcut too if there is one.)
2) Save action (via ^S or menu)
3) IDE Exit followed by <Save> or <Save All> action in Exit Dialog.

There will not be a duplicate dialog in the case where the user clicks the [X]
to close the editor when there are unsaved changes.  In this case, the caller
mentioned above is us and our code does not show the duplicate message because
it knows a message has already been displayed.
Comment 1 _ pcw 2005-12-06 23:34:38 UTC
Can't fix the duplicate message until ExitDialog is cleaned up.
Comment 2 Vince Kraemer 2007-12-08 03:57:44 UTC
what is the story on this one? Raising to get this back on the radar..
Comment 3 _ pcw 2007-12-08 08:22:51 UTC
The story is that issue 69678 (note dependency) isn't fixed yet so presumably we can't do anything about this issue.

I suppose the new multiview editor might not have this problem but I doubt it as 69678 was not editor specific.  Not
worth the time to investigate to be certain, IMO.  At least not right now.
Comment 4 _ pcw 2008-01-08 21:49:49 UTC
Setting to future.  Status of 69678 is unchanged.
Comment 5 Vince Kraemer 2008-10-17 23:43:59 UTC
Please be ready to discuss this issue on 2008/10/22
Comment 6 _ pcw 2008-10-18 00:18:27 UTC
What's to discuss?  Until 69678 is resolved, save() must throw an IOException, resulting in the not so nice message
(hence the duplication).  Not much we can do except wait.
Comment 7 Vince Kraemer 2008-10-18 00:26:15 UTC
let's work through that on 2008/10/22
Comment 8 _ pcw 2008-10-22 18:41:59 UTC
P4 since we can't do anything until 69678 is fixed.
Comment 9 Vince Kraemer 2008-12-24 21:57:10 UTC
not worth worrying about in 7.0 time frame


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo